Download it now!
Bug 118752 - FIREBIRD: MIGRATION: The firebird migration assistant is not available under 6.1RC when experimental features are enabled
Summary: FIREBIRD: MIGRATION: The firebird migration assistant is not available under ...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Base (show other bugs)
Version:
(earliest affected)
6.1.0.1 rc
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.1.0.2
Keywords:
Depends on:
Blocks:
 
Reported: 2018-07-13 18:05 UTC by Drew Jensen
Modified: 2018-07-18 13:03 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Drew Jensen 2018-07-13 18:05:58 UTC
Description:
The firebird migration assistant should be available with experimental features are enabled with version 6.1, it is not.

Steps to Reproduce:
1. Start version 6.1 and ensure that experimental features are enabled in options
2. Open any ODB file with an embedded HSQLdb database
3. 

Actual Results:
The connection is made to the HSQLdb database

Expected Results:
The user should be prompted with a message box regarding the migration to firebird support and offered a chance to run the migration assistant.


Reproducible: Always


User Profile Reset: No



Additional Info:
Tested with build:
Version: 6.1.0.1.0+
Build ID: ff0e7e5427c2851341d01e8917a1b5df0c08e557
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:libreoffice-6-1, Time: 2018-07-13_10:25:46
Locale: en-US (en_US.UTF-8); Calc: group threaded
Comment 1 Xisco Faulí 2018-07-14 11:29:46 UTC
Reproduced in

Versión: 6.1.0.1
Id. de compilación: 378e26bd4f22a135cef5fa17afd5d4171d8da21a
Subprocs. CPU: 1; SO: Windows 6.1; Repres. IU: predet.; 
Configuración regional: ca-ES (es_ES); Calc: group threaded

@Tamas, one for you ?
Comment 2 Xisco Faulí 2018-07-16 21:14:01 UTC
Patch in gerrit: https://gerrit.libreoffice.org/#/c/57508/
Comment 3 Commit Notification 2018-07-18 07:14:52 UTC
Xisco Faulí committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0b3ee8ffbb6b33827c17af56c62dc5285f3ba258&h=libreoffice-6-1

tdf#118752: Enable firebird migration in experimental mode

It will be available in 6.1.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.